/********************************************************************************
 *   This file is part of JRtfTree.
 *
 *   JRtfTree is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   JRtfTree is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with JRtfTree; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 ********************************************************************************/	

/********************************************************************************
 * Library:		JRtfTree
 * Version:     v0.1.1b
 * Class:		InfoGroup
 * Copyright:   2005 Salvador Gomez
 * Home Page:	http://www.sgoliver.net
 * SF Project:	http://nrtftree.sourceforge.net
 *				http://sourceforge.net/projects/nrtftree
 * Date:		15/01/2006
 * Description:	Representa un documento RTF en forma de rbol.
 * ******************************************************************************/

package net.sgoliver.jrtftree.util;

import java.util.Calendar;

public class InfoGroup
{
    private String title = "";
    private String subject = "";
    private String author = "";
    private String manager = "";
    private String company = "";
    private String operator = "";
    private String category = "";
    private String keywords = "";
    private String comment = "";
    private String doccomm = "";
    private String hlinkbase = "";
    private Calendar creatim;
    private Calendar revtim;
    private Calendar printim;
    private Calendar buptim;
    private int version = -1;
    private int vern = -1;
    private int edmins = -1;
    private int nofpages = -1;
    private int nofwords = -1;
    private int nofchars = -1;
    private int id = -1;
	public void setTitle(String title)
	{
		this.title = title;
	}
	public String getTitle()
	{
		return title;
	}
	public void setSubject(String subject)
	{
		this.subject = subject;
	}
	public String getSubject()
	{
		return subject;
	}
	public void setAuthor(String author)
	{
		this.author = author;
	}
	public String getAuthor()
	{
		return author;
	}
	public void setManager(String manager)
	{
		this.manager = manager;
	}
	public String getManager()
	{
		return manager;
	}
	public void setCompany(String company)
	{
		this.company = company;
	}
	public String getCompany()
	{
		return company;
	}
	public void setOperator(String operator)
	{
		this.operator = operator;
	}
	public String getOperator()
	{
		return operator;
	}
	public void setCategory(String category)
	{
		this.category = category;
	}
	public String getCategory()
	{
		return category;
	}
	public void setKeywords(String keywords)
	{
		this.keywords = keywords;
	}
	public String getKeywords()
	{
		return keywords;
	}
	public void setComment(String comment)
	{
		this.comment = comment;
	}
	public String getComment()
	{
		return comment;
	}
	public void setDoccomm(String doccomm)
	{
		this.doccomm = doccomm;
	}
	public String getDoccomm()
	{
		return doccomm;
	}
	public void setHlinkbase(String hlinkbase)
	{
		this.hlinkbase = hlinkbase;
	}
	public String getHlinkbase()
	{
		return hlinkbase;
	}
	public void setCreationTime(Calendar creatim)
	{
		this.creatim = creatim;
	}
	public Calendar getCreationTime()
	{
		return creatim;
	}
	public void setRevisionTime(Calendar revtim)
	{
		this.revtim = revtim;
	}
	public Calendar getRevisionTime()
	{
		return revtim;
	}
	public void setLastPrintTime(Calendar printim)
	{
		this.printim = printim;
	}
	public Calendar getLastPrintTime()
	{
		return printim;
	}
	public void setBackupTime(Calendar buptim)
	{
		this.buptim = buptim;
	}
	public Calendar getBackupTime()
	{
		return buptim;
	}
	public void setVersion(int version)
	{
		this.version = version;
	}
	public int getVersion()
	{
		return version;
	}
	public void setInternalVersion(int vern)
	{
		this.vern = vern;
	}
	public int getInternalVersion()
	{
		return vern;
	}
	public void setEditingTime(int edmins)
	{
		this.edmins = edmins;
	}
	public int getEditingTime()
	{
		return edmins;
	}
	public void setNofpages(int nofpages)
	{
		this.nofpages = nofpages;
	}
	public int getNofpages()
	{
		return nofpages;
	}
	public void setNofwords(int nofwords)
	{
		this.nofwords = nofwords;
	}
	public int getNofwords()
	{
		return nofwords;
	}
	public void setNofchars(int nofchars)
	{
		this.nofchars = nofchars;
	}
	public int getNofchars()
	{
		return nofchars;
	}
	public void setId(int id)
	{
		this.id = id;
	}
	public int getId()
	{
		return id;
	}
}
